Description

We need functionality to be able to properly calculate the effective area, RMF, exposure, etc for a GSkyRegion in the On/Off

analysis.

To do that, we need to calculate the weighted average of these IRFs across the set of ON and OFF regions over the time of the

run/GTI.

We should add to GCTAOnOffObservation sonething on the lines of:

calc_distributions():  calculates distributions of instrumental parameters (zenith, azimuth,offset) over a set of GSkyRegions (e.g. the

ON or OFF regions) and over time for an observation , stored as eg. a histogram internally.

For each instrumental parameter (zenith, azimuth, and offset for example), calc_distributions pre-calculates a histogram that is the

distribution over time (over the run time) and space (over the region area) of that parameter. E.g. it represenents the estimated

fraction of events that should be at a specific zenith angle, in the event list.

Then one can define a series of weighting funtions (or functors), that just return interpolations of these distributions:

weight_zenith( zenith ): returns weight of zenith angle from distribution

weight_offset( offset ): returns weight of offset

weight_azimuth( azimuth): ...

Then the calculation of an average effective area for example is just:

{{latex(\langle A_{\mathrm{eff}}(E) \rangle  = \int_{\Psi}\int_{\Phi}\int_{\theta} w_{\Psi}(\Psi) w_{\Phi}(\Phi) w_{\theta}(\theta)

A_{\mathrm{eff}}(E,\Phi,\Psi,\theta}) d\Psi d\Phi d\theta)}}

where the parameters phi, psi, and theta are the zenith angle, azimuth angle, and offset (in principle others can be added)

To break up this work, we will initially ignore calc_distributions and implement the weight functions to return only delta functions, and

thus the integral reduces just the average values of zenith, az, offset in a region. Later the full functionality can be added. For that a

mechanism for getting the horizontal coordinates of points in a region is needed (See related sub-issues)

Subtasks:

Action # 1113: Use pointing table from a FITS file in GCTAPointing Rejected

History

#1 - 01/29/2014 06:22 PM - Kosack Karl

- Description updated

After some discussion, we think the weigting functions should be implemented as functors and should be calculated or created in

GCTAOnOffObservation, since they need the pointing, run time, and region shape.

The integral that creates the average response can go in GCTAResponse::average_irf( list of weight functors) or something like that

#2 - 01/30/2014 10:10 AM - Kosack Karl

upon further discussion, we have decided this functionality should go into a ctool, not into the gammalib library itself, since it is a specific analysis
case.

The workflow would then be:

1. make run definition xml file

2. run ctool to produce on and off regions

3. run ctool to calculate on and off response from these regions (e.g. run12345-on-arf.fits, run12345-off-arf.fits, etc)

4. run on/off analysis

GCTAOnOffObservation would then need 2 new members:

GCTAResponse *m_on_response;

GCTAResponse *m_off_response;

#3 - 01/30/2014 10:11 AM - Kosack Karl

- Target version deleted (2nd coding sprint)

#4 - 01/30/2014 10:11 AM - Kosack Karl

- Parent task set to #1044

#5 - 02/17/2014 10:18 PM - Knödlseder Jürgen

- Target version set to 2nd coding sprint

#6 - 07/19/2014 02:10 AM - Knödlseder Jürgen

- Target version deleted (2nd coding sprint)

#7 - 03/11/2016 06:09 PM - Martin Pierrick

- Parent task deleted (#1044)
